RPM(8)

NUME
rpm - administratorul de pachete RPM

SINOPSIS

  Interogarea și verificarea pachetelor
rpm {-q|--query} [opțiuni-selectare] [opțiuni-interogare] [FIȘIER_PACHET ...] [NUME_PACHET ...]

rpm {-V|--verify} [opțiuni-selectare] [opțiuni-verificare] [NUME_PACHET ...]

  Instalarea, actualizarea și eliminarea pachetelor
\fBrpm {-i|--install} [opțiuni-tranzacție] [opțiuni-instalare] FIȘIER_PACHET ...

rpm {-U|--upgrade} [opțiuni-tranzacție] [opțiuni-instalare] FIȘIER_PACHET ...

rpm {-F|--freshen} [opțiuni-tranzacție] [opțiuni-instalare] FIȘIER_PACHET ...

rpm --reinstall [opțiuni-tranzacție] [opțiuni-instalare] FIȘIER_PACHET ...

rpm --restore [opțiuni-tranzacție] [opțiuni-selectare] NUME_PACHET ...

rpm {-e|--erase} [opțiuni-tranzacție] [opțiuni-ștergere] NUME_PACHET ...

  Operații diverse
rpm --querytags

Consultați rpm-common(8) pentru operațiile comune tuturor executabilelor rpm.

DESCRIERE
rpm este un Gestionar de pachete puternic, care poate fi utilizat pentru a crea, instala, interoga, verifica, actualiza și șterge pachete software individuale. Un pachet constă dintr-o arhivă de fișiere și metadate utilizate pentru instalarea și ștergerea fișierelor din arhivă. Metadatele includ scripturi ajutătoare, atribute ale fișierelor și informații descriptive despre pachet. Pacheteleexistă în două varietăți: pachete binare, utilizate pentru a încapsula software-ul care urmează să fie instalat, și pachete sursă, care conțin codul sursă și rețeta necesară pentru a produce pachete binare.

OPERAȚII

  Interogarea și verificarea pachetelor
-V, --verify
    Verificarea unui pachet compară informațiile despre fișierele instalate în pachet cu informațiile despre fișiere extrase din metadatele pachetului stocate în baza de date rpm. Printre altele, verificarea compară dimensiunea, structura, permisiunile, tipul, proprietarul și grupul fiecărui fișier. Orice discrepanțe sunt afișate.
-q, --query
    Interoghează fișierele de pachete sau pachetul (pachetele) instalat(e).

  Instalarea, actualizarea și eliminarea pachetelor
-i, --install
    Instalează pachete noi fără a lua în considerare scenariile de actualizare. Aceasta este considerată o utilizare specială, în mod normal instalările ar trebui făcute cu --upgrade.

-U, --upgrade
    Instalează sau actualizează pachetul (pachetele) la o versiune mai nouă. Pachetul (pachetele) obsolete și/sau depășite sunt eliminate după instalarea noului pachet.

-F, --freshen
    Actualizează pachetele, dar numai pe cele pentru care este instalată o versiune anterioară.

--reinstall
    Reinstalează un pachet(e) instalat(e) anterior.

--restore
    Restabilește metadatele fișierului cum ar fi marca temporală, proprietarul, grupul, permisiunile și capacitățile fișierelor din pachetul dat.

-e, --erase
    Șterge pachetele instalate.

  Operații diverse
--querytags
    Afișează etichetele de interogare cunoscute Utilă cu opțiunea --queryformat.

  Alias de compatibilitate învechite
Acestea sunt alias popt(3) învechite, utilizate doar pentru compatibilitate cu versiunile anterioare, iar utilizarea lor este descurajată.

--initdb, --rebuilddb, --verifydb
    A se vedea rpmdb(8).

--addsign, --delsign, --resign
    A se vedea rpmsign(1).

-K, --checksig, --import
    A se vedea rpmkeys(8).

--specfile
    A se vedea rpmspec(1).

Consultați rpm-common(8) pentru operațiile comune tuturor executabilelor rpm.

ARGUMENTE
FIȘIER_PACHET
    Fie un pachet rpm, fie un fișier rpm-manifest(5). De asemenea, poate fi specificat ca o adresă URL ftp sau http, caz în care pachetul va fi descărcat înainte de a fi instalat. Consultați OPȚIUNI FTP/HTTP pentru informații despre suportul pentru clienții ftp și http ai rpm

NUME_PACHET
    Interoghează pachetul instalat numit NUME_PACHET Pentru a specifica mai precis pachetul, numele pachetului poate fi urmat de versiune sau versiunea și lansarea, ambele separate prin liniuță, sau de un nume de arhitectură separat prin punct. A se vedea ieșirea din rpm -qa sau rpm -qp FIȘIER_PACHET ca exemplu.

OPȚIUNI
Consultați rpm-common(8) pentru opțiunile comune tuturor operațiilor.

OPȚIUNI DE INSTALARE ȘI ACTUALIZARE
--allfiles
    Instalează sau actualizează toate fișierele missingok din pachet, indiferent dacă acestea există sau nu.

--badreloc
    Utilizată împreună cu --relocate, permite realocări pe toate rutele fișierelor, nu doar pe cele RUTA_VECHE incluse în indicațiile de realocare a pachetului binar.

--excludepath RUTA_VECHE
    Nu instalează fișiere al căror nume începe cu RUTA_VECHE.

--excludeartifacts
    Nu instalează niciun fișier care este marcat ca artefact, cum ar fi legăturile build-id.

--excludeconfigs, --noconfigs
    Nu instalează fișierele de configurare.

--excludedocs
    Nu instalează niciun fișier marcat ca fiind documentație (care include paginile de manual și documentele texinfo).

--force
    Același lucru ca și în cazul utilizării --replacepkgs, --replacefiles, și --oldpackage.

--ignoresize
    Nu verifică dacă sistemele de fișiere montate au suficient spațiu pe disc înainte de a instala acest pachet.

--ignorearch
    Permite instalarea sau actualizarea chiar dacă arhitecturile pachetului binar și ale gazdei nu corespund.

--ignoreos
    Permite instalarea sau actualizarea chiar dacă sistemele de operare ale pachetului binar și ale gazdei nu corespund.

--includedocs
    Instalează fișierele de documentație. Acesta este comportamentul implicit.

--nocontexts
    Nu definește contexte SELinux pentru fișiere și script-uri. Funcționează numai dacă rpm-plugin-selinux(8) este instalat și activ.

--nocaps
    Nu configurează capacitățile fișierelor.

--noverify
    Nu efectuează verificarea fișierelor pachetului înainte de instalare.

--nosysusers
    Nu creează utilizatori de sistem din pachete

--oldpackage
    Permite ca o actualizare să înlocuiască un pachet mai nou cu unul mai vechi.

--prefix RUTA_NOUĂ
    Pentru pachetele binare realocabile, transformă toate rutele de fișiere care încep cu prefixul de instalare din indicațiile de realocare a pachetului în RUTA_NOUĂ.

--relocate RUTA_VECHE=RUTA_NOUĂ
    Pentru pachetele binare realocabile, transformă toate rutele de fișiere care încep cu RUTA_VECHE în indicațiile de realocare a pachetului în RUTA_NOUĂ. Această opțiune poate fi utilizată în mod repetat dacă mai multe RUTA_VECHE din pachet trebuie realocate.

--replacefiles
    Instalează pachetele chiar dacă acestea înlocuiesc fișiere din alte pachete deja instalate.

--replacepkgs
    Instalează pachetele chiar dacă unele dintre ele sunt deja instalate în acest sistem.

OPȚIUNI DE ȘTERGERE
--allmatches
    Elimină toate versiunile pachetului care corespund cu NUME_PACHET. În mod normal, se emite o eroare în cazul în care NUME_PACHET corespunde mai multor pachete.

OPȚIUNI DE TRANZACȚIONARE
Opțiunile tranzacției sunt comune pentru operațiile --install, --upgrade, --reinstall și --erase.

--deploops
    Afișează buclele de dependență ca avertismente.

-h, --hash
    Afișează 50 de marcaje de sumă de control pe măsură ce arhiva pachetului este despachetată. Utilizați cu -v|--verbose pentru o afișare mai plăcută.

--justdb
    Actualizează numai baza de date, nu și sistemul de fișiere.

--nodb
    Actualizează numai sistemul de fișiere, nu și baza de date.

--nodeps
    Nu verifică dependențele înainte de a dezinstala pachetele.

--noorder
    Nu reordonează pachetele pentru o instalare. În mod normal, lista de pachete ar trebui să fie reordonată pentru a satisface dependențele.

--noplugins
    Nu încarcă și nu execută modulele de extensie.

--noscripts
    Dezactivează executarea scripturilor pachetului. Echivalent cu

    --nopre --nopost --nopreun --nopostun --nopretrans --noposttrans --nopreuntrans --nopostuntrans

--nopre --nopost --nopreun --nopostun --nopretrans --noposttrans --nopreuntrans --nopostuntrans
    Nu execută scripturile de tipul specificat.

--notriggers
    Dezactivează executarea declanșatoarelor pachetelor. Echivalent cu

    --notriggerprein --notriggerin --notriggerun --notriggerpostun

--notriggerin --notriggerun --notriggerprein --notriggerpostun
    Dezactivează executarea scripturilor de declanșare ale tipului specificat.

--percent
    Afișează procentele pe măsură ce fișierele sunt despachetate din arhiva pachetului. Acest lucru este menit să facă rpm ușor de rulat din alte instrumente.

--test
    Nu dezinstalează nimic cu adevărat, ci doar simulează că efectuează procedura. Utilă împreună cu opțiunea -vv pentru depanare.

OPȚIUNI DE INTEROGARE
--qf FORMAT_INTEROGARE, --queryformat FORMAT_INTEROGARE
    Formatul de ieșire al fiecărui pachet interogat, descris de rpm-queryformat(7). Dacă este omis, utilizează formatul definit de %_query_all_fmt în rpm-config(5).

Există trei subseturi de opțiuni pentru interogare: selectarea pachetului, selectarea fișierului și selectarea informațiilor.

OPȚIUNI DE SELECTARE A PACHETULUI
-a, --all [SELECTOR ...]
    Interoghează toate pachetele instalate.

    Un SELECTOR opțional sub forma etichetă=model poate fi furnizat pentru a restrânge selecția, de exemplu name="b*" pentru a interoga pachetele al căror nume începe cu „b”.

--dupes
    Listează pachetele duplicate.

-f, --file FIȘIER
    Caută pachetul care dețineFIȘIERUL.

--filecaps
    Listează numele de fișiere cu capacități POSIX1.e.

--fileclass
    Listează numele fișierelor cu clasele lor (clasificarea libmagic).

--filecolor
    Listează numele fișierelor cu „culorile” lor (0 pentru noarch, 1 pentru 32 de biți, 2 pentru 64 de biți).

--fileprovide
    Listează numele fișierelor cu furnizorii lor.

--filerequire
    Listează numele fișierelor cu cerințele lor.

-g, --group GRUP
    Caută pachetele cu grupul GRUP.

--noglob
    Nu globalizează argumentele atunci când se instalează fișiere de pachete.

--nomanifest
    Nu procesează fișierele care nu sunt pachete ca fișiere rpm-manifest(5).

-p, --package FIȘIER_PACHET
    Consultă un pachet (dezinstalat) FIȘIER_PACHET.

--path RUTA
    Interoghează pachetele care dețin RUTA indiferent dacă fișierul este instalat sau nu. Mai multe pachete pot deține o RUTĂ, dar fișierul este deținut doar de pachetul instalat ultimul.

--querybynumber HDRNUM
    Interoghează direct a HDRNUM-ea intrare în baza de date; acest lucru este util numai pentru depanare.

--specfile FIȘIER_SPECIFICAȚII
    Obsoletă, utilizați rpmspec(1) în schimb.

--tid TID
    Interoghează pachetul (pachetele) care au un anumit identificator de tranzacție TID. În prezent, ca identificator de tranzacție se utilizează o marcă de timp UNIX. Toate pachetele instalate sau șterse în cadrul unei singure tranzacții au un identificator comun.

--triggeredby NUME_PACHET
    Interoghează pachetele care sunt declanșate de pachetul (pachetele) NUME_PACHET.

--whatobsoletes CAPACITATEA
    Interoghează toate pachetele care au CAPACITATEA învechită pentru o funcționare corectă..

--whatprovides CAPACITATEA
    Interoghează toate pachetele care furnizează capacitatea CAPACITATEA..

--whatrequires CAPACITATEA
    Interoghează toate pachetele care necesită CAPACITATEA pentru a funcționa corect..

--whatconflicts CAPACITATEA
    Interoghează toate pachetele care intră în conflict cu CAPACITATEA..

--whatrecommends CAPACITATEA
    Interoghează toate pachetele care recomandă CAPACITATEA..

--whatsuggests CAPACITATEA
    Interoghează toate pachetele care sugerează CAPACITATEA..

--whatsupplements CAPACITATEA
    Interoghează toate pachetele care suplimentează CAPACITATEA..

--whatenhances CAPACITATEA
    Interoghează toate pachetele care îmbunătățesc CAPACITATEA..

OPȚIUNI DE INTEROGARE A PACHETULUI

--changelog
    Afișează informațiile de modificare pentru pachet.

--changes
    Afișează informații despre modificări pentru pachet, cu marcaje de timp complete.

--conflicts
    Lisează capacitățile cu care acest pachet intră în conflict.

--dump
    Afișează informații despre fișier după cum urmează (implică -l).

    rută dimensiune data-modificării suma-de-control mod proprietar grup este-configurație este-documentație rdev legătură-simbolică

--enhances
    Listează capacitățile îmbunătățite de pachetul (pachetele).

--filesbypkg
    Listează toate fișierele din fiecare pachet selectat.

--filetriggers
    Listează scripturile de declanșare a fișierelor din pachetul (pachetele).

-i, --info
    Afișează informații despre pachet, inclusiv numele, versiunea și descrierea. Se utilizează formatul de căutare --queryformat, dacă a fost specificat unul.

--last
    Ordonează lista de pachete în funcție de momentul instalării, astfel încât cele mai recente pachete să se afle în partea de sus.

-l, --list
    Listează fișierele din pachet.

--obsoletes
    Listează pachetele pe care acest pachet le „învechește”.

--provides
    Listează capacitățile pe care le furnizează acest pachet.

--recommends
    Listează capacitățile recomandate de pachetul (pachetele).

-R, --requires
    Listează capacitățile de care depinde acest pachet.

--suggests
    Listează capacitățile sugerate de pachetul (pachetele).

--supplements
    Listează capacitățile suplimentate de pachetul (pachetele).

--scripts
    Listează scripturile specifice pachetului care sunt utilizate ca parte a proceselor de instalare și dezinstalare.

-s, --state
    Afișează stările fișierelor din pachet (implică -l). Starea fiecărui fișier este una dintre normal, not installed sau replaced.

--triggers, --triggerscripts
    Afișează scripturile de declanșare, dacă există, care sunt conținute în pachet.

--xml
    Formatează antetele pachetului ca XML.

OPȚIUNI DE SELECTARE A FIȘIERELOR
-A, --artifactfiles
    Listează numai fișierele artefacte (implică -l).

-c, --configfiles
    Listează numai fișierele de configurare (implică -l).

-d, --docfiles
    Listează numai fișierele de documentare (implică -l).

-L, --licensefiles
    Listează numai fișierele de licență (implică -l).

--noartifact
    Exclude fișierele artefact.

--noconfig
    Exclude fișierele de configurare.

--noghost
    Exclude fișierele fantomă.

OPȚIUNI DE VERIFICARE

Opțiunile de selectare a pachetelor și fișierelor sunt aceleași ca pentru interogarea pachetelor (inclusiv fișierele rpm-manifest(5) ca argumente). Alte opțiuni unice pentru modul de verificare sunt:

--nodeps
    Nu verifică dependențele pachetelor.

--nodigest
    Nu verifică sumele de control calculate ale pachetelor sau ale antetului atunci când le citește.

--nofiles
    Nu verifică niciun atribut al fișierelor de pachet.

--noscripts
    Nu execută scriptul %verifyscript (dacă există).

--nosignature
    Nu verifică semnăturile pachetului sau ale antetului la citire.

--nolinkto --nofiledigest (formerly --nomd5) --nosize --nomtime --nomode --nordev
    Nu verifică atributul de fișier corespunzător.

--nouser --nogroup
    Nu verifică proprietatea utilizatorilor/grupurilor de fișiere. Rețineți că sunt consultate numai bazele de date locale passwd(5) și group(5).

--nocaps
    Nu verifică capacitățile fișierelor.

IEȘIRE
--verify
    Formatul de ieșire este un șir de 9 caractere rezultat un posibil atribut din pachet, urmat de numele fișierului.

    Fiecare dintre cele 9 caractere denotă rezultatul unei comparații între atributul (atributele) fișierului și valoarea acelor atribute înregistrate în baza de date.

    Un singur „.” (punct) înseamnă că testul a trecut, în timp ce un singur „?” (semn de întrebare) indică faptul că testul nu a putut fi efectuat (de exemplu, permisiunile de fișier împiedică citirea). În caz contrar, caracterul (mnemonic emBînvechit) denotă eșecul testului --verify corespunzător:

Rezultat | Descriere
S | dimenSiunea fișierului diferă
M | Modul diferă (include permisiunile și tipul de fișier)
5 | suma de control (anterior suma MD5) diferă
D | neconcordanță între numărul major/minor al Dispozitivului
L | readLink(2) nepotrivire de rută
U | Utilizatorul proprietar este diferit
G | Grupul proprietar este diferit
T | data-de-modificare (mTime) diferă
P | caPacitățile diferă

Atribut | Descriere
a | %artifact - un fișier cu efect secundar de construire (cum ar fi legăturile buildid)
c | %configfișier de configurare
d | %docfișier de documentație
g | --noghost fișier
l | %license fișier de licență
m | %missingok - lipsa fișierului nu este un eșec al verificării
n | %config(noreplace) - nu înlocuiește fișierul de configurare
r | %readme fișier readme
s | fișierul rpm-spec(5) din pachetul sursă

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

EXEMPLE
rpm -Uvh hello-2.0-1.noarch.rpm
    Instalează sau actualizează pachetul hello-2.0-1.noarch.rpm cu ieșire detaliată și indicatoare de progres. -Uvh este probabil cea mai comună dintre toate operațiile rpm.

rpm -Uvh --excludedocs --root /srv/test mydist-23.mft
    Instalează pachetele descrise în fișierul mydist-23.mft rpm-manifest(5) în rădăcina alternativă a sistemului la /srv/test, excluzând toate fișierele de documentație.

rpm -Fvh *.rpm
    Actualizează pachetele instalate dintr-un director local, cu ieșire detaliată și indicatoare de progres.

rpm -i kernel-6.15.4-200.x86_64.rpm
    Instalează pachetul kernel-6.15. 4-200.x86_64.rpm în mod silențios. În unele distribuții Linux, versiuni diferite ale nucleului sunt destinate să fie instalate în paralel în acest mod, fără a șterge versiunile mai vechi, pentru a se asigura că există un nucleu care poate fi pornit în caz de probleme. Este unul dintre puținele cazuri în care -i este alegerea potrivită.

rpm -evh --allmatches libhello
    Stergeți toate versiunile pachetului libhello din sistem, cu ieșire detaliată și indicatoare de progres. De obicei, există o singură versiune a unui pachet instalată la un moment dat, dar în unele cazuri este posibil să existe versiuni diferite sau arhitecturi diferite ale unui pachet instalate în paralel, caz în care --allmatches poate fi de mare ajutor.

rpm -vh --reinstall hello-2.0-1.noarch.rpm
    Reinstalează pachetul hello-2.0-1.noarch.rpm instalat anterior, cu ieșire detaliată și indicatoare de progres. Util dacă, de exemplu, fișierele unui pachet sunt corupte sau șterse accidental.

rpm -v --restore --all
    Restabilește permisiunile fișierelor din toate pachetele instalate la specificațiile lor din pachet, cu ieșire detaliată.

rpm --verify --noconfig openssh-server
    Verifică integritatea pachetului openssh-server instalat, ignorând modificările din configurație.

rpm -qa
    Listează toate pachetele instalate, folosind formatarea implicită.

rpm -qlv --noartifact glibc
    Listează fișierele pachetului glibc într-un stil similar cu ieșirea comenzii ls(1) cu ls -l, omițând fișierele „artefact” precum build-id's, care nu prezintă de obicei interes major.

rpm -q --qf "[%{filenames} %{filedigests}\n]" openssh-server
    Listează numele fișierelor și rezumatele corespunzătoare ale pachetului openssh-server instalat.

rpm -qp --scripts --triggers --filetriggers myserver-1.0-1.x86_64.rpm
    Afișează toate scriptlet-urile și declanșatoarele din fișierul pachetului myserver-1.0-1.x86_64.rpm. Înainte de a instala pachete necunoscute, cel puțin fă acest lucru!

rpm --target ppc64le --eval "%optflags"
    Imprimă extinderea macrocomenzii %optflags pentru arhitectura ppc64le.

FIȘIERE
Consultați rpm-common(8), rpm-config(5) și rpm-rpmrc(5).

CONSULTAȚI ȘI
rpm-common(8), popt(3), rpm2cpio(1), rpmbuild(1), rpmdb(8), rpmkeys(8), rpmsign(1), rpmspec(1), rpm-queryformat(7) rpm-manifest(5) rpm-version(7) rpm-plugins(8)

rpm --help - deoarece rpm acceptă personalizarea opțiunilor prin intermediul de diferite alias «popt», este imposibil să se garanteze că ceea ce este descris în manual corespunde cu ceea ce este disponibil.

http://www.rpm.org/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.